{% extends 'Kiosk/base.html' %}
{% load static %}

{% block content %}
	<div class="table-wrapper-scroll-y my-custom-scrollbar">
		{% if messages %}
            {% for message in messages %}
                {% if message.level == DEFAULT_MESSAGE_LEVELS.ERROR %}
                    <p style="color:red">{{ message }}</p>
                {% else %} 
                    <p style="color:green">{{ message }}</p>
                {% endif %}
            {% endfor %}
        {% endif %}
		<table class="table table-striped mb-0">
			<thead>
				<tr>
				<th scope="col"> Name </th>
				<th scope="col"> Description </th>
				<th scope="col"> Price </th>
				<th scope="col"> Created at </th>
				<th scope="col"></th>
				</tr>
				
			</thead>
			<tbody>
				{% for f in food %}
				<tr>
					<td> {{ f.name }} </td>
					<td> {{ f.desc }} </td>
					<td> {{ f.price }} </td>
					<td> {{ f.created_at|date:'Y-m-d h:i A' }} </td>
					<td><a href="{% url 'view_food_details' pk=f.pk %}"  class="btn btn-dark">Details</a></td>
				</tr>
				{% endfor %}
			</tbody>
		</table>
	</div>
{% endblock %}